Bug 1177282 - (CVE-2020-26541) VUL-1: CVE-2020-26541: kernel-source: Forbidden Signature Database (aka dbx) protection mechanism is not properly enforced
(CVE-2020-26541)
VUL-1: CVE-2020-26541: kernel-source: Forbidden Signature Database (aka dbx) ...
Status: NEW
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/268715/
CVSSv3.1:SUSE:CVE-2020-26541:6.0:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-10-05 08:33 UTC by Alexander Bergmann
Modified: 2022-12-23 14:50 UTC (History)
8 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2020-10-05 08:33:09 UTC
CVE-2020-26541

The Linux kernel through 5.8.13 does not properly enforce the Secure Boot
Forbidden Signature Database (aka dbx) protection mechanism. This affects
certs/blacklist.c and certs/system_keyring.c.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-26541
http://people.canonical.com/~ubuntu-security/cve/2020/CVE-2020-26541.html
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-26541
https://lkml.org/lkml/2020/9/15/1871
Comment 1 Joey Lee 2021-01-19 08:38:40 UTC
Kernel upstream is still now accepted the patch because MOKx need also be supported.

I continue follow up.
Comment 3 Takashi Iwai 2022-05-27 13:16:22 UTC
Joey, any update on this?
Comment 4 Joey Lee 2022-05-28 00:42:33 UTC
Sorry for my delay.

Finally he patch be merged in v5.13:

commit 56c5812623f95313f6a46fbf0beee7fa17c68bbf
Author: Eric Snowberg <eric.snowberg@oracle.com>
Date:   Fri Jan 22 13:10:51 2021 -0500

    certs: Add EFI_CERT_X509_GUID support for dbx entries
    
    This fixes CVE-2020-26541.

I will try to backport it to SLE kernel.
Comment 12 Joey Lee 2022-06-16 02:49:31 UTC
(In reply to Joey Lee from comment #4)
> Sorry for my delay.
> 
> Finally he patch be merged in v5.13:
> 
> commit 56c5812623f95313f6a46fbf0beee7fa17c68bbf
> Author: Eric Snowberg <eric.snowberg@oracle.com>
> Date:   Fri Jan 22 13:10:51 2021 -0500
> 
>     certs: Add EFI_CERT_X509_GUID support for dbx entries
>     
>     This fixes CVE-2020-26541.
> 
> I will try to backport it to SLE kernel.

The status of SLE kernel is the following:

cve/linux-2.6.32
        SLE11-SP1-TD    [NO] doesn't support modsign
cve/linux-3.0
        SLE11-SP3-TD    [NO] old format checked x509 blacklist, not affect
        SLE11-SP4-LTSS  [NO] old format checked x509 blacklist, not affect
cve/linux-4.4
        SLE12-SP3-LTSS  [SUSE] affected, need SUSE specific patch
        SLE12-SP3-TD    [SUSE] affected, need SUSE specific patch
        SLE12-SP2-LTSS  [SUSE] affected, need SUSE specific patch
cve/linux-3.12
        SLE12-SP1-LTSS  [NO] old format checked x509 blacklist, not affect
        SLE12-LTSS      [NO] old format checked x509 blacklist, not affect
cve/linux-4.12
        SLE15-SP1-LTSS  [BACKPORTED]
        SLE15-LTSS      [BACKPORTED]
        SLE12-SP5       [BACKPORTED]
        SLE12-SP4-LTSS  [BACKPORTED]
cve/linux-5.3           [BACKPORTED]
        SLE15-SP2-LTSS  [BACKPORTED]
        SLE15-SP3       [BACKPORTED]
SLE15-SP4-GA            [NO] already includes 56c5812623 patch

About the SLE12-SP2/SP3 family, v4.4 kernel supported old modsign signature format which checked x509 blacklist. We add kernel patch to support new PKCS#7 format but didn't check x509 blacklist for new format. So we need a SUSE specific patch to fix it. The upstream 56c5812623 patch can not apply to SLE12-SP2/SP3 family.
Comment 15 Swamp Workflow Management 2022-06-16 19:26:51 UTC
SUSE-SU-2022:2104-1: An update that solves 23 vulnerabilities, contains one feature and has 19 fixes is now available.

Category: security (important)
Bug References: 1028340,1065729,1071995,1158266,1177282,1191647,1195651,1195926,1196114,1196367,1196426,1196433,1196514,1196570,1196942,1197157,1197343,1197472,1197656,1197660,1197895,1198330,1198400,1198484,1198516,1198577,1198660,1198687,1198778,1198825,1199012,1199063,1199314,1199505,1199507,1199605,1199650,1199918,1200015,1200143,1200144,1200249
CVE References: CVE-2019-19377,CVE-2020-26541,CVE-2021-20321,CVE-2021-33061,CVE-2022-0168,CVE-2022-1011,CVE-2022-1158,CVE-2022-1184,CVE-2022-1353,CVE-2022-1516,CVE-2022-1652,CVE-2022-1729,CVE-2022-1734,CVE-2022-1966,CVE-2022-1974,CVE-2022-1975,CVE-2022-21123,CVE-2022-21125,CVE-2022-21127,CVE-2022-21166,CVE-2022-21180,CVE-2022-28893,CVE-2022-30594
JIRA References: SLE-18234
Sources used:
SUSE Manager Server 4.1 (src):    kernel-default-5.3.18-150200.24.115.1, kernel-default-base-5.3.18-150200.24.115.1.150200.9.54.1, kernel-docs-5.3.18-150200.24.115.1, kernel-obs-build-5.3.18-150200.24.115.1, kernel-preempt-5.3.18-150200.24.115.1, kernel-source-5.3.18-150200.24.115.1, kernel-syms-5.3.18-150200.24.115.1
SUSE Manager Retail Branch Server 4.1 (src):    kernel-default-5.3.18-150200.24.115.1, kernel-default-base-5.3.18-150200.24.115.1.150200.9.54.1, kernel-docs-5.3.18-150200.24.115.1, kernel-preempt-5.3.18-150200.24.115.1, kernel-source-5.3.18-150200.24.115.1, kernel-syms-5.3.18-150200.24.115.1
SUSE Manager Proxy 4.1 (src):    kernel-default-5.3.18-150200.24.115.1, kernel-default-base-5.3.18-150200.24.115.1.150200.9.54.1, kernel-docs-5.3.18-150200.24.115.1, kernel-preempt-5.3.18-150200.24.115.1, kernel-source-5.3.18-150200.24.115.1, kernel-syms-5.3.18-150200.24.115.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    kernel-default-5.3.18-150200.24.115.1, kernel-default-base-5.3.18-150200.24.115.1.150200.9.54.1, kernel-docs-5.3.18-150200.24.115.1, kernel-obs-build-5.3.18-150200.24.115.1, kernel-preempt-5.3.18-150200.24.115.1, kernel-source-5.3.18-150200.24.115.1, kernel-syms-5.3.18-150200.24.115.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    kernel-default-5.3.18-150200.24.115.1, kernel-default-base-5.3.18-150200.24.115.1.150200.9.54.1, kernel-docs-5.3.18-150200.24.115.1, kernel-obs-build-5.3.18-150200.24.115.1, kernel-preempt-5.3.18-150200.24.115.1, kernel-source-5.3.18-150200.24.115.1, kernel-syms-5.3.18-150200.24.115.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    kernel-default-5.3.18-150200.24.115.1, kernel-default-base-5.3.18-150200.24.115.1.150200.9.54.1, kernel-docs-5.3.18-150200.24.115.1, kernel-preempt-5.3.18-150200.24.115.1, kernel-source-5.3.18-150200.24.115.1, kernel-syms-5.3.18-150200.24.115.1
SUSE Linux Enterprise Module for Live Patching 15-SP2 (src):    kernel-default-5.3.18-150200.24.115.1, kernel-livepatch-SLE15-SP2_Update_27-1-150200.5.3.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    kernel-default-5.3.18-150200.24.115.1, kernel-default-base-5.3.18-150200.24.115.1.150200.9.54.1, kernel-docs-5.3.18-150200.24.115.1, kernel-obs-build-5.3.18-150200.24.115.1, kernel-preempt-5.3.18-150200.24.115.1, kernel-source-5.3.18-150200.24.115.1, kernel-syms-5.3.18-150200.24.115.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    kernel-default-5.3.18-150200.24.115.1, kernel-default-base-5.3.18-150200.24.115.1.150200.9.54.1, kernel-docs-5.3.18-150200.24.115.1, kernel-obs-build-5.3.18-150200.24.115.1, kernel-preempt-5.3.18-150200.24.115.1, kernel-source-5.3.18-150200.24.115.1, kernel-syms-5.3.18-150200.24.115.1
SUSE Linux Enterprise High Availability 15-SP2 (src):    kernel-default-5.3.18-150200.24.115.1
SUSE Enterprise Storage 7 (src):    kernel-default-5.3.18-150200.24.115.1, kernel-default-base-5.3.18-150200.24.115.1.150200.9.54.1, kernel-docs-5.3.18-150200.24.115.1, kernel-obs-build-5.3.18-150200.24.115.1, kernel-preempt-5.3.18-150200.24.115.1, kernel-source-5.3.18-150200.24.115.1, kernel-syms-5.3.18-150200.24.115.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 17 Swamp Workflow Management 2022-06-17 13:18:55 UTC
SUSE-SU-2022:2111-1: An update that solves 30 vulnerabilities and has 14 fixes is now available.

Category: security (important)
Bug References: 1028340,1055710,1065729,1071995,1084513,1087082,1114648,1158266,1172456,1177282,1182171,1183723,1187055,1191647,1191958,1195065,1195651,1196018,1196367,1196426,1196999,1197219,1197343,1197663,1198400,1198516,1198577,1198660,1198687,1198742,1198777,1198825,1199012,1199063,1199314,1199399,1199426,1199505,1199507,1199605,1199650,1200143,1200144,1200249
CVE References: CVE-2017-13695,CVE-2018-7755,CVE-2019-19377,CVE-2019-20811,CVE-2020-26541,CVE-2021-20292,CVE-2021-20321,CVE-2021-33061,CVE-2021-38208,CVE-2021-39711,CVE-2021-43389,CVE-2022-1011,CVE-2022-1184,CVE-2022-1353,CVE-2022-1419,CVE-2022-1516,CVE-2022-1652,CVE-2022-1729,CVE-2022-1734,CVE-2022-1974,CVE-2022-1975,CVE-2022-21123,CVE-2022-21125,CVE-2022-21127,CVE-2022-21166,CVE-2022-21180,CVE-2022-21499,CVE-2022-22942,CVE-2022-28748,CVE-2022-30594
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    kernel-debug-4.12.14-150100.197.114.2, kernel-default-4.12.14-150100.197.114.2, kernel-kvmsmall-4.12.14-150100.197.114.2, kernel-vanilla-4.12.14-150100.197.114.2, kernel-zfcpdump-4.12.14-150100.197.114.2
openSUSE Leap 15.3 (src):    kernel-debug-4.12.14-150100.197.114.2, kernel-default-4.12.14-150100.197.114.2, kernel-kvmsmall-4.12.14-150100.197.114.2, kernel-vanilla-4.12.14-150100.197.114.2, kernel-zfcpdump-4.12.14-150100.197.114.2
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    kernel-default-4.12.14-150100.197.114.2, kernel-docs-4.12.14-150100.197.114.2, kernel-obs-build-4.12.14-150100.197.114.2, kernel-source-4.12.14-150100.197.114.2, kernel-syms-4.12.14-150100.197.114.2
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    kernel-default-4.12.14-150100.197.114.2, kernel-docs-4.12.14-150100.197.114.2, kernel-obs-build-4.12.14-150100.197.114.2, kernel-source-4.12.14-150100.197.114.2, kernel-syms-4.12.14-150100.197.114.2, kernel-zfcpdump-4.12.14-150100.197.114.2
SUSE Linux Enterprise Server 15-SP1-BCL (src):    kernel-default-4.12.14-150100.197.114.2, kernel-docs-4.12.14-150100.197.114.2, kernel-obs-build-4.12.14-150100.197.114.2, kernel-source-4.12.14-150100.197.114.2, kernel-syms-4.12.14-150100.197.114.2
SUSE Linux Enterprise Module for Live Patching 15-SP1 (src):    kernel-default-4.12.14-150100.197.114.2, kernel-livepatch-SLE15-SP1_Update_31-1-150100.3.3.2
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    kernel-default-4.12.14-150100.197.114.2, kernel-docs-4.12.14-150100.197.114.2, kernel-obs-build-4.12.14-150100.197.114.2, kernel-source-4.12.14-150100.197.114.2, kernel-syms-4.12.14-150100.197.114.2
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    kernel-default-4.12.14-150100.197.114.2, kernel-docs-4.12.14-150100.197.114.2, kernel-obs-build-4.12.14-150100.197.114.2, kernel-source-4.12.14-150100.197.114.2, kernel-syms-4.12.14-150100.197.114.2
SUSE Linux Enterprise High Availability 15-SP1 (src):    kernel-default-4.12.14-150100.197.114.2
SUSE Enterprise Storage 6 (src):    kernel-default-4.12.14-150100.197.114.2, kernel-docs-4.12.14-150100.197.114.2, kernel-obs-build-4.12.14-150100.197.114.2, kernel-source-4.12.14-150100.197.114.2, kernel-syms-4.12.14-150100.197.114.2
SUSE CaaS Platform 4.0 (src):    kernel-default-4.12.14-150100.197.114.2, kernel-docs-4.12.14-150100.197.114.2, kernel-obs-build-4.12.14-150100.197.114.2, kernel-source-4.12.14-150100.197.114.2, kernel-syms-4.12.14-150100.197.114.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 21 Swamp Workflow Management 2022-06-24 13:18:14 UTC
SUSE-SU-2022:2172-1: An update that solves 7 vulnerabilities and has 10 fixes is now available.

Category: security (important)
Bug References: 1177282,1184924,1198924,1199365,1199482,1200015,1200143,1200144,1200206,1200207,1200249,1200259,1200263,1200343,1200494,1200529,1200604
CVE References: CVE-2020-26541,CVE-2022-1012,CVE-2022-1966,CVE-2022-1974,CVE-2022-1975,CVE-2022-20141,CVE-2022-32250
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    kernel-azure-5.3.18-150300.38.62.1, kernel-source-azure-5.3.18-150300.38.62.1, kernel-syms-azure-5.3.18-150300.38.62.1
SUSE Linux Enterprise Module for Public Cloud 15-SP3 (src):    kernel-azure-5.3.18-150300.38.62.1, kernel-source-azure-5.3.18-150300.38.62.1, kernel-syms-azure-5.3.18-150300.38.62.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 22 Swamp Workflow Management 2022-06-24 13:20:32 UTC
SUSE-SU-2022:2173-1: An update that solves four vulnerabilities and has 8 fixes is now available.

Category: security (important)
Bug References: 1177282,1199365,1200015,1200143,1200144,1200206,1200207,1200249,1200259,1200263,1200268,1200529
CVE References: CVE-2020-26541,CVE-2022-1966,CVE-2022-1974,CVE-2022-1975
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    dtb-aarch64-5.3.18-150300.59.76.1, kernel-preempt-5.3.18-150300.59.76.1
openSUSE Leap 15.3 (src):    dtb-aarch64-5.3.18-150300.59.76.1, kernel-64kb-5.3.18-150300.59.76.1, kernel-debug-5.3.18-150300.59.76.1, kernel-default-5.3.18-150300.59.76.1, kernel-default-base-5.3.18-150300.59.76.1.150300.18.45.2, kernel-docs-5.3.18-150300.59.76.1, kernel-kvmsmall-5.3.18-150300.59.76.1, kernel-obs-build-5.3.18-150300.59.76.1, kernel-obs-qa-5.3.18-150300.59.76.1, kernel-preempt-5.3.18-150300.59.76.1, kernel-source-5.3.18-150300.59.76.1, kernel-syms-5.3.18-150300.59.76.1, kernel-zfcpdump-5.3.18-150300.59.76.1
SUSE Linux Enterprise Workstation Extension 15-SP3 (src):    kernel-default-5.3.18-150300.59.76.1, kernel-preempt-5.3.18-150300.59.76.1
SUSE Linux Enterprise Module for Live Patching 15-SP3 (src):    kernel-default-5.3.18-150300.59.76.1, kernel-livepatch-SLE15-SP3_Update_20-1-150300.7.5.1
SUSE Linux Enterprise Module for Legacy Software 15-SP3 (src):    kernel-default-5.3.18-150300.59.76.1
SUSE Linux Enterprise Module for Development Tools 15-SP3 (src):    kernel-docs-5.3.18-150300.59.76.1, kernel-obs-build-5.3.18-150300.59.76.1, kernel-preempt-5.3.18-150300.59.76.1, kernel-source-5.3.18-150300.59.76.1, kernel-syms-5.3.18-150300.59.76.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    kernel-64kb-5.3.18-150300.59.76.1, kernel-default-5.3.18-150300.59.76.1, kernel-default-base-5.3.18-150300.59.76.1.150300.18.45.2, kernel-preempt-5.3.18-150300.59.76.1, kernel-source-5.3.18-150300.59.76.1, kernel-zfcpdump-5.3.18-150300.59.76.1
SUSE Linux Enterprise Micro 5.2 (src):    kernel-default-5.3.18-150300.59.76.1, kernel-default-base-5.3.18-150300.59.76.1.150300.18.45.2
SUSE Linux Enterprise Micro 5.1 (src):    kernel-default-5.3.18-150300.59.76.1, kernel-default-base-5.3.18-150300.59.76.1.150300.18.45.2
SUSE Linux Enterprise High Availability 15-SP3 (src):    kernel-default-5.3.18-150300.59.76.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 23 Swamp Workflow Management 2022-06-24 16:21:46 UTC
SUSE-SU-2022:2177-1: An update that solves 20 vulnerabilities, contains three features and has 39 fixes is now available.

Category: security (important)
Bug References: 1055117,1061840,1065729,1103269,1118212,1153274,1154353,1156395,1158266,1167773,1176447,1177282,1178134,1180100,1183405,1188885,1195826,1196426,1196478,1196570,1196840,1197446,1197472,1197601,1197675,1198438,1198577,1198971,1198989,1199035,1199052,1199063,1199114,1199314,1199365,1199505,1199507,1199564,1199626,1199631,1199650,1199670,1199839,1200015,1200019,1200045,1200046,1200143,1200144,1200192,1200206,1200207,1200216,1200249,1200259,1200263,1200529,1200549,1200604
CVE References: CVE-2019-19377,CVE-2020-26541,CVE-2021-33061,CVE-2022-0168,CVE-2022-1184,CVE-2022-1652,CVE-2022-1729,CVE-2022-1966,CVE-2022-1972,CVE-2022-1974,CVE-2022-1975,CVE-2022-20008,CVE-2022-20141,CVE-2022-21123,CVE-2022-21125,CVE-2022-21127,CVE-2022-21166,CVE-2022-21180,CVE-2022-30594,CVE-2022-32250
JIRA References: SLE-13521,SLE-16387,SLE-8371
Sources used:
SUSE Linux Enterprise Module for Realtime 15-SP3 (src):    kernel-rt-5.3.18-150300.93.1, kernel-rt_debug-5.3.18-150300.93.1, kernel-source-rt-5.3.18-150300.93.1, kernel-syms-rt-5.3.18-150300.93.1
SUSE Linux Enterprise Micro 5.2 (src):    kernel-rt-5.3.18-150300.93.1
SUSE Linux Enterprise Micro 5.1 (src):    kernel-rt-5.3.18-150300.93.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 31 Swamp Workflow Management 2022-07-12 22:20:55 UTC
SUSE-SU-2022:2377-1: An update that solves 15 vulnerabilities and has 22 fixes is now available.

Category: security (important)
Bug References: 1065729,1129770,1177282,1194013,1196964,1197170,1199482,1199487,1199657,1200343,1200571,1200599,1200600,1200604,1200605,1200608,1200619,1200692,1200762,1200806,1200807,1200809,1200810,1200813,1200820,1200821,1200822,1200829,1200868,1200869,1200870,1200871,1200872,1200873,1200925,1201080,1201251
CVE References: CVE-2020-26541,CVE-2021-4157,CVE-2022-1012,CVE-2022-1679,CVE-2022-20132,CVE-2022-20141,CVE-2022-20154,CVE-2022-2318,CVE-2022-26365,CVE-2022-29900,CVE-2022-29901,CVE-2022-33740,CVE-2022-33741,CVE-2022-33742,CVE-2022-33981
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 12-SP5 (src):    kernel-azure-4.12.14-16.103.1, kernel-source-azure-4.12.14-16.103.1, kernel-syms-azure-4.12.14-16.103.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 32 Swamp Workflow Management 2022-07-13 13:17:47 UTC
SUSE-SU-2022:2382-1: An update that solves 15 vulnerabilities and has 22 fixes is now available.

Category: security (important)
Bug References: 1065729,1129770,1177282,1194013,1196964,1197170,1199482,1199487,1199657,1200343,1200571,1200599,1200600,1200604,1200605,1200608,1200619,1200692,1200762,1200806,1200807,1200809,1200810,1200813,1200820,1200821,1200822,1200829,1200868,1200869,1200870,1200871,1200872,1200873,1200925,1201080,1201251
CVE References: CVE-2020-26541,CVE-2021-4157,CVE-2022-1012,CVE-2022-1679,CVE-2022-20132,CVE-2022-20141,CVE-2022-20154,CVE-2022-2318,CVE-2022-26365,CVE-2022-29900,CVE-2022-29901,CVE-2022-33740,CVE-2022-33741,CVE-2022-33742,CVE-2022-33981
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP5 (src):    kernel-default-4.12.14-122.127.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    kernel-docs-4.12.14-122.127.1, kernel-obs-build-4.12.14-122.127.1
SUSE Linux Enterprise Server 12-SP5 (src):    kernel-default-4.12.14-122.127.1, kernel-source-4.12.14-122.127.1, kernel-syms-4.12.14-122.127.1
SUSE Linux Enterprise Live Patching 12-SP5 (src):    kernel-default-4.12.14-122.127.1, kgraft-patch-SLE12-SP5_Update_33-1-8.3.1
SUSE Linux Enterprise High Availability 12-SP5 (src):    kernel-default-4.12.14-122.127.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 33 Swamp Workflow Management 2022-07-14 13:20:54 UTC
SUSE-SU-2022:2393-1: An update that solves 21 vulnerabilities and has 6 fixes is now available.

Category: security (important)
Bug References: 1158266,1162338,1162369,1173871,1177282,1194013,1196901,1198577,1199426,1199487,1199507,1199657,1200059,1200143,1200144,1200249,1200571,1200599,1200604,1200605,1200608,1200619,1200692,1200762,1201050,1201080,1201251
CVE References: CVE-2019-19377,CVE-2020-26541,CVE-2021-26341,CVE-2021-4157,CVE-2022-1184,CVE-2022-1679,CVE-2022-1729,CVE-2022-1974,CVE-2022-1975,CVE-2022-20132,CVE-2022-20141,CVE-2022-20154,CVE-2022-21499,CVE-2022-2318,CVE-2022-26365,CVE-2022-29900,CVE-2022-29901,CVE-2022-33740,CVE-2022-33741,CVE-2022-33742,CVE-2022-33981
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    kernel-default-4.12.14-95.102.1, kernel-source-4.12.14-95.102.1, kernel-syms-4.12.14-95.102.1
SUSE OpenStack Cloud 9 (src):    kernel-default-4.12.14-95.102.1, kernel-source-4.12.14-95.102.1, kernel-syms-4.12.14-95.102.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    kernel-default-4.12.14-95.102.1, kernel-source-4.12.14-95.102.1, kernel-syms-4.12.14-95.102.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    kernel-default-4.12.14-95.102.1, kernel-source-4.12.14-95.102.1, kernel-syms-4.12.14-95.102.1
SUSE Linux Enterprise Live Patching 12-SP4 (src):    kernel-default-4.12.14-95.102.1, kgraft-patch-SLE12-SP4_Update_28-1-6.3.1
SUSE Linux Enterprise High Availability 12-SP4 (src):    kernel-default-4.12.14-95.102.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 34 Swamp Workflow Management 2022-07-15 13:18:27 UTC
SUSE-SU-2022:2407-1: An update that solves 15 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1177282,1194013,1196901,1199487,1199657,1200571,1200599,1200604,1200605,1200608,1200619,1200692,1200762,1201050,1201080,1201251
CVE References: CVE-2020-26541,CVE-2021-26341,CVE-2021-4157,CVE-2022-1679,CVE-2022-20132,CVE-2022-20141,CVE-2022-20154,CVE-2022-2318,CVE-2022-26365,CVE-2022-29900,CVE-2022-29901,CVE-2022-33740,CVE-2022-33741,CVE-2022-33742,CVE-2022-33981
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    kernel-default-4.12.14-150000.150.95.1, kernel-docs-4.12.14-150000.150.95.1, kernel-obs-build-4.12.14-150000.150.95.1, kernel-source-4.12.14-150000.150.95.1, kernel-syms-4.12.14-150000.150.95.1, kernel-vanilla-4.12.14-150000.150.95.1
SUSE Linux Enterprise Server 15-LTSS (src):    kernel-default-4.12.14-150000.150.95.1, kernel-docs-4.12.14-150000.150.95.1, kernel-obs-build-4.12.14-150000.150.95.1, kernel-source-4.12.14-150000.150.95.1, kernel-syms-4.12.14-150000.150.95.1, kernel-vanilla-4.12.14-150000.150.95.1, kernel-zfcpdump-4.12.14-150000.150.95.1
SUSE Linux Enterprise Module for Live Patching 15 (src):    kernel-default-4.12.14-150000.150.95.1, kernel-livepatch-SLE15_Update_31-1-150000.1.3.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    kernel-default-4.12.14-150000.150.95.1, kernel-docs-4.12.14-150000.150.95.1, kernel-obs-build-4.12.14-150000.150.95.1, kernel-source-4.12.14-150000.150.95.1, kernel-syms-4.12.14-150000.150.95.1, kernel-vanilla-4.12.14-150000.150.95.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    kernel-default-4.12.14-150000.150.95.1, kernel-docs-4.12.14-150000.150.95.1, kernel-obs-build-4.12.14-150000.150.95.1, kernel-source-4.12.14-150000.150.95.1, kernel-syms-4.12.14-150000.150.95.1, kernel-vanilla-4.12.14-150000.150.95.1
SUSE Linux Enterprise High Availability 15 (src):    kernel-default-4.12.14-150000.150.95.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 35 Swamp Workflow Management 2022-08-02 19:17:06 UTC
SUSE-SU-2022:2629-1: An update that solves 33 vulnerabilities and has 41 fixes is now available.

Category: security (important)
Bug References: 1024718,1055117,1061840,1065729,1129770,1158266,1177282,1188885,1194013,1194124,1196426,1196570,1196901,1196964,1197170,1197219,1197601,1198438,1198577,1198866,1198899,1199035,1199063,1199237,1199239,1199314,1199399,1199426,1199482,1199487,1199505,1199507,1199526,1199605,1199631,1199650,1199657,1199671,1199839,1200015,1200045,1200143,1200144,1200173,1200249,1200343,1200549,1200571,1200599,1200600,1200604,1200605,1200608,1200619,1200762,1200806,1200807,1200809,1200810,1200813,1200820,1200821,1200822,1200829,1200868,1200869,1200870,1200871,1200872,1200873,1200925,1201050,1201080,1201251
CVE References: CVE-2019-19377,CVE-2020-26541,CVE-2021-26341,CVE-2021-33061,CVE-2021-39711,CVE-2021-4157,CVE-2022-1012,CVE-2022-1184,CVE-2022-1652,CVE-2022-1679,CVE-2022-1729,CVE-2022-1734,CVE-2022-1836,CVE-2022-1966,CVE-2022-1974,CVE-2022-1975,CVE-2022-20132,CVE-2022-20141,CVE-2022-20154,CVE-2022-21123,CVE-2022-21125,CVE-2022-21127,CVE-2022-21166,CVE-2022-21180,CVE-2022-21499,CVE-2022-2318,CVE-2022-26365,CVE-2022-29900,CVE-2022-29901,CVE-2022-30594,CVE-2022-33740,CVE-2022-33741,CVE-2022-33742
JIRA References: 
Sources used:
SUSE Linux Enterprise Real Time Extension 12-SP5 (src):    kernel-rt-4.12.14-10.94.1, kernel-rt_debug-4.12.14-10.94.1, kernel-source-rt-4.12.14-10.94.1, kernel-syms-rt-4.12.14-10.94.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 38 Swamp Workflow Management 2022-09-01 14:04:06 UTC
openSUSE-SU-2022:2173-1: An update that solves four vulnerabilities and has 8 fixes is now available.

Category: security (important)
Bug References: 1177282,1199365,1200015,1200143,1200144,1200206,1200207,1200249,1200259,1200263,1200268,1200529
CVE References: CVE-2020-26541,CVE-2022-1966,CVE-2022-1974,CVE-2022-1975
JIRA References: 
Sources used:
openSUSE Leap Micro 5.2 (src):    kernel-default-5.3.18-150300.59.76.1, kernel-default-base-5.3.18-150300.59.76.1.150300.18.45.2
Comment 39 Swamp Workflow Management 2022-09-01 14:18:09 UTC
openSUSE-SU-2022:2177-1: An update that solves 20 vulnerabilities, contains three features and has 39 fixes is now available.

Category: security (important)
Bug References: 1055117,1061840,1065729,1103269,1118212,1153274,1154353,1156395,1158266,1167773,1176447,1177282,1178134,1180100,1183405,1188885,1195826,1196426,1196478,1196570,1196840,1197446,1197472,1197601,1197675,1198438,1198577,1198971,1198989,1199035,1199052,1199063,1199114,1199314,1199365,1199505,1199507,1199564,1199626,1199631,1199650,1199670,1199839,1200015,1200019,1200045,1200046,1200143,1200144,1200192,1200206,1200207,1200216,1200249,1200259,1200263,1200529,1200549,1200604
CVE References: CVE-2019-19377,CVE-2020-26541,CVE-2021-33061,CVE-2022-0168,CVE-2022-1184,CVE-2022-1652,CVE-2022-1729,CVE-2022-1966,CVE-2022-1972,CVE-2022-1974,CVE-2022-1975,CVE-2022-20008,CVE-2022-20141,CVE-2022-21123,CVE-2022-21125,CVE-2022-21127,CVE-2022-21166,CVE-2022-21180,CVE-2022-30594,CVE-2022-32250
JIRA References: SLE-13521,SLE-16387,SLE-8371
Sources used:
openSUSE Leap Micro 5.2 (src):    kernel-rt-5.3.18-150300.93.1
Comment 47 Joey Lee 2022-11-28 09:32:16 UTC
Modified patch be merged to cve/linux-4.4 kernel for the following SLE versions:

cve/linux-4.4
    SLE12-SP3-LTSS  [SUSE] affected, need SUSE specific patch
    SLE12-SP3-TD    [SUSE] affected, need SUSE specific patch
    SLE12-SP2-LTSS  [SUSE] affected, need SUSE specific patch

commit 845f7fb52a6f2cf16714a5f55e7f5b2f25c25320 (origin/users/jlee/cve/linux-4.4/for-next)
Author: Lee, Chun-Yi <jlee@suse.com>
Date:   Tue Oct 25 12:07:03 2022 +0800

    certs: Add EFI_CERT_X509_GUID support for dbx entries
    (bsc#1177282, CVE-2020-26541).
    
    - Update config files.
      Set CONFIG_SYSTEM_TRUSTED_KEYRING=y in arm64/default because we need
      include/keys/system_keyring.h.
      In arm64/default kernel config, it is enabled CONFIG_SYSTEM_BLACKLIST_KEYRING
      for CONFIG_MODULE_SIG_UEFI but doesn't have SYSTEM_TRUSTED_KEYRING. It
      does not make sense. On the other hand, other architectures are
      enabled CONFIG_SYSTEM_TRUSTED_KEYRING. So let's also enable it in
      arm64/default.

Reset assigner
Comment 51 Swamp Workflow Management 2022-12-19 17:22:05 UTC
SUSE-SU-2022:4561-1: An update that solves 31 vulnerabilities and has 8 fixes is now available.

Category: security (important)
Bug References: 1012382,1129898,1177282,1196018,1198702,1202097,1202686,1203008,1203290,1203322,1203514,1203960,1203987,1204166,1204168,1204170,1204354,1204402,1204414,1204431,1204432,1204439,1204479,1204574,1204576,1204631,1204635,1204636,1204646,1204647,1204653,1204868,1205128,1205130,1205220,1205514,1205671,1205796,1206091
CVE References: CVE-2019-3874,CVE-2020-26541,CVE-2021-4037,CVE-2022-2663,CVE-2022-28748,CVE-2022-2964,CVE-2022-3169,CVE-2022-3424,CVE-2022-3524,CVE-2022-3542,CVE-2022-3565,CVE-2022-3567,CVE-2022-3586,CVE-2022-3594,CVE-2022-3621,CVE-2022-3628,CVE-2022-3629,CVE-2022-3635,CVE-2022-3646,CVE-2022-3649,CVE-2022-3903,CVE-2022-40307,CVE-2022-40768,CVE-2022-4095,CVE-2022-41848,CVE-2022-41850,CVE-2022-41858,CVE-2022-42703,CVE-2022-43750,CVE-2022-43945,CVE-2022-45934
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 12-SP2-BCL (src):    kernel-default-4.4.121-92.196.2, kernel-source-4.4.121-92.196.2, kernel-syms-4.4.121-92.196.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 52 Swamp Workflow Management 2022-12-23 14:50:46 UTC
SUSE-SU-2022:4611-1: An update that solves 31 vulnerabilities and has 8 fixes is now available.

Category: security (important)
Bug References: 1129898,1177282,1196018,1198702,1201309,1202097,1202686,1203008,1203290,1203322,1203514,1203960,1203987,1204166,1204168,1204170,1204354,1204402,1204414,1204431,1204432,1204439,1204479,1204574,1204576,1204631,1204635,1204636,1204646,1204647,1204653,1204868,1205128,1205130,1205220,1205514,1205671,1205796,1206164
CVE References: CVE-2019-3874,CVE-2020-26541,CVE-2021-4037,CVE-2022-2663,CVE-2022-28748,CVE-2022-2964,CVE-2022-3169,CVE-2022-3424,CVE-2022-3524,CVE-2022-3542,CVE-2022-3565,CVE-2022-3567,CVE-2022-3586,CVE-2022-3594,CVE-2022-3621,CVE-2022-3628,CVE-2022-3629,CVE-2022-3635,CVE-2022-3646,CVE-2022-3649,CVE-2022-3903,CVE-2022-40307,CVE-2022-40768,CVE-2022-4095,CVE-2022-41848,CVE-2022-41850,CVE-2022-41858,CVE-2022-42703,CVE-2022-43750,CVE-2022-43945,CVE-2022-45934
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 12-SP3-BCL (src):    kernel-default-4.4.180-94.182.1, kernel-source-4.4.180-94.182.1, kernel-syms-4.4.180-94.182.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.